Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# aic23b.h File Reference

## Detailed Description

Definition in file aic23b.h.

Go to the source code of this file.

## Defines
#define | AIC_I2C_ADDR 0x34
#define | AIC_REG_VOL_LINEIN_LEFT 0x0000
#define | AIC_REG_VOL_LINEIN_RIGHT 0x0200
#define | AIC_REG_VOL_HP_LEFT 0x0400
#define | AIC_REG_VOL_HP_RIGHT 0x0600
#define | AIC_REG_ANALOG_PATH 0x0800
#define | AIC_REG_DIGITAL_PATH 0x0A00
#define | AIC_REG_POWERDOWN 0x0C00
#define | AIC_REG_INTERFACE_FORMAT 0x0E00
#define | AIC_REG_SAMPLE_RATE 0x1000
#define | AIC_REG_DIGITAL_IF_ACT 0x1200
#define | AIC_REG_RESET 0x1E00
#define | AIC_VLIL_LRS 8
#define | AIC_VLIL_LIM 7
#define | AIC_VLIL_LIV4 4
#define | AIC_VLIL_LIV3 3
#define | AIC_VLIL_LIV2 2
#define | AIC_VLIL_LIV1 1
#define | AIC_VLIL_LIV0 0
#define | AIC_VLIR_RLS 8
#define | AIC_VLIR_RIM 7
#define | AIC_VLIR_RIV4 4
#define | AIC_VLIR_RIV3 3
#define | AIC_VLIR_RIV2 2
#define | AIC_VLIR_RIV1 1
#define | AIC_VLIR_RIV0 0
#define | AIC_VHPL_LRS 8
#define | AIC_VHPL_LZC 7
#define | AIC_VHPR_RLS 8
#define | AIC_VHPR_RZC 7
#define | AIC_AP_STA2 8
#define | AIC_AP_STA1 7
#define | AIC_AP_STA0 6
#define | AIC_AP_STE 5
#define | AIC_AP_DAC 4
#define | AIC_AP_BYP 3
#define | AIC_AP_INSEL 2
#define | AIC_AP_MICM 1
#define | AIC_AP_MICB 0
#define | AIC_DP_DACM 3
#define | AIC_DP_DEEMP1 2
#define | AIC_DP_DEEMP0 1
#define | AIC_DP_ADCHP 0
#define | AIC_PD_OFF 7
#define | AIC_PD_CLK 6
#define | AIC_PD_OSC 5
#define | AIC_PD_OUT 4
#define | AIC_PD_DAC 3
#define | AIC_PD_ADC 2
#define | AIC_PD_MIC 1
#define | AIC_PD_LINE 0
#define | AIC_IF_MS 6
#define | AIC_IF_LRSWAP 5
#define | AIC_IF_LRP 4
#define | AIC_IF_IWL1 3
#define | AIC_IF_IWL0 2
#define | AIC_IF_FOR1 1
#define | AIC_IF_FOR0 0
#define | AIC_IF_16BIT 0x00
#define | AIC_IF_20BIT 0x04
#define | AIC_IF_24BIT 0x08
#define | AIC_IF_32BIT 0x0C
#define | AIC_IF_DSP 0x03
#define | AIC_IF_I2S 0x02
#define | AIC_IF_MSBL 0x01
#define | AIC_IF_MSBR 0x00
#define | AIC_SR_CLKOUT 7
#define | AIC_SR_CLKIN 6
#define | AIC_SR_SR3 5
#define | AIC_SR_SR2 4
#define | AIC_SR_SR1 3
#define | AIC_SR_SR0 2
#define | AIC_SR_BOSR 1
#define | AIC_SR_USB 0
#define | AIC_SR_USB_96KHZ (BIT(AIC_SR_USB) | BIT(AIC_SR_SR0) | BIT(AIC_SR_SR1) | BIT(AIC_SR_SR2))
#define | AIC_SR_USB_48KHZ (BIT(AIC_SR_USB))
#define | AIC_SR_USB_44KHZ (BIT(AIC_SR_USB) | BIT(AIC_SR_BOSR) | BIT(AIC_SR_SR3))
#define | AIC_SR_USB_32KHZ (BIT(AIC_SR_USB) | BIT(AIC_SR_SR1) | BIT(AIC_SR_SR2))
#define | AIC_SR_USB_8KHZ (BIT(AIC_SR_USB) | BIT(AIC_SR_SR0) | BIT(AIC_SR_SR1))
#define | AIC_SR_18432_96KHZ (BIT(AIC_SR_BOSR) | BIT(AIC_SR_SR0) | BIT(AIC_SR_SR1) | BIT(AIC_SR_SR2))
#define | AIC_SR_18432_48KHZ (BIT(AIC_SR_BOSR))
#define | AIC_SR_18432_32KHZ (BIT(AIC_SR_BOSR) | BIT(AIC_SR_SR1) | BIT(AIC_SR_SR2))
#define | AIC_SR_18432_8KHZ (BIT(AIC_SR_BOSR) | BIT(AIC_SR_SR0) | BIT(AIC_SR_SR1))
## Functions
void | aicInit (void)
int | aicWriteReg (u16 regdata)
void | aicSetVolumeHp (u08 volume)
void | aicSetVolumeLineIn (u08 volume)
void | aicSetVolumeLineOut (u08 volume)
void | aicDigitalEnable (void)